Bug 1003515 - font error
font error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pdfmerge (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 04:55 EDT by Karel Volný
Modified: 2015-02-18 06:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:25:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cert.pdf (6.10 KB, application/pdf)
2013-09-02 04:55 EDT, Karel Volný
no flags Details
u_certifikat.pdf (20.60 KB, application/pdf)
2013-09-02 04:56 EDT, Karel Volný
no flags Details
u_certifikat2.pdf (21.44 KB, application/pdf)
2013-09-02 04:57 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2013-09-02 04:55:00 EDT
Created attachment 792765 [details]
cert.pdf

Description of problem:
Trying to merge two pdf files, I'm getting some font error, and the resulting file looks (almost) empty.

Version-Release number of selected component (if applicable):
pdfmerge-1.0.4-4.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1. pdfmerge u_certifikat.pdf u_certifikat2.pdf cert.pdf

Actual results:
cert.pdf looks almost empty, console output is:

   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** File did not complete the page properly and may be damaged.

   **** This file had errors that were repaired or ignored.
   **** The file was produced by: 
   **** >>>> Adobe LiveCycle Designer ES 8.2 <<<<
   **** Please notify the author of the software that produced this
   **** file that it does not conform to Adobe's published PDF
   **** specification.

   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** Warning: can't process font stream, loading font by the name.
   **** Error reading a content stream. The page may be incomplete.
   **** Warning: Form stream has unbalanced q/Q operators (too many q's)
   **** File did not complete the page properly and may be damaged.

   **** This file had errors that were repaired or ignored.
   **** The file was produced by: 
   **** >>>> Adobe LiveCycle Designer ES 8.2 <<<<
   **** Please notify the author of the software that produced this
   **** file that it does not conform to Adobe's published PDF
   **** specification.

Successfully merged to cert.pdf


Expected results:
the respective pages in cert.pdf look the same ase in the source files, no errors on console

Additional info:
note that the source files have "%PDF-1.5" and the result "%PDF-1.4" ...
Comment 1 Karel Volný 2013-09-02 04:56:19 EDT
Created attachment 792766 [details]
u_certifikat.pdf
Comment 2 Karel Volný 2013-09-02 04:57:00 EDT
Created attachment 792768 [details]
u_certifikat2.pdf
Comment 3 Fedora End Of Life 2015-01-09 17:17:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:25:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.